Bug 586954 - warning on boot: "alg: hash: Failed to load transform for ghash-clmulni: -2"
warning on boot: "alg: hash: Failed to load transform for ghash-clmulni: -2"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 576005 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 10:59 EDT by Bill Nottingham
Modified: 2014-03-16 23:23 EDT (History)
14 users (show)

See Also:
Fixed In Version: kernel-2.6.33.6-147.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-17 05:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-04-28 10:59:21 EDT
Description of problem:

On boot, I get a:

alg: hash: Failed to load transform for ghash-clmulni: -2

error. It displays before plymouth switches to GUI mode, spoiling the quiet boot.

I don't see any consequences of this error.

Version-Release number of selected component (if applicable):

2.6.33.2-68.fc13.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Boot
Comment 1 Kyle McMartin 2010-05-14 17:24:52 EDT
This'll be fixed post-F-13.
Comment 2 Rodd Clarkson 2010-05-17 00:09:36 EDT
*** Bug 576005 has been marked as a duplicate of this bug. ***
Comment 3 gregnorc 2010-06-03 11:43:34 EDT
I'm having a similar error, does anyone have a workaround?

Whenever I try and boot a FC13 live image from usb on my Lenovo X201 (http://www.thinkwiki.org/wiki/Category:X201), I get the error "alg: hash: Failed to load transform for ghash-clmulni: -2" then the the machine goes a black screen. The HD has Ubuntu 10.04 installed. Switching TTYs does nothing.
Comment 4 Bill Nottingham 2010-06-03 11:49:26 EDT
The displayed error should not be relevant to any hangs you get... it's merely a noisy warning.
Comment 5 Ray Evans 2010-06-10 21:07:37 EDT
This error is reproducible on my Intel H55 based ASUS P7H55M-Pro with Intel i5 660 processor system.   The system performs well despite this error.  

uname -r
2.6.33.5-112.fc13.x86_64

lspci
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 12)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 12)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 06)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1c.5 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 6 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
01:00.0 VGA compatible controller: nVidia Corporation GT200 [GeForce GTX 260] (rev a1)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
Comment 6 Kyle McMartin 2010-06-17 05:55:49 EDT
I've made this modular (sorry, didn't notice it before) now, so hopefully the ugly early boot print will be gone.

--Kyle
Comment 7 Fedora Update System 2010-07-07 03:21:41 EDT
kernel-2.6.33.6-147.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.33.6-147.fc13
Comment 8 Fedora Update System 2010-07-08 14:23:26 EDT
kernel-2.6.33.6-147.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.